import { Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { StickyDirective } from './sticky.directive';
import { StickyConfig } from './sticky-config';
export declare class StickyTheadDirective extends StickyDirective {
    protected readonly container: ViewContainerRef;
    protected readonly template: TemplateRef<HTMLElement>;
    protected readonly document: any;
    protected readonly renderer: Renderer2;
    stickyOffset: StickyConfig;
    constructor(container: ViewContainerRef, template: TemplateRef<HTMLElement>, document: any, renderer: Renderer2);
    protected initializeStickyStyles(): void;
    protected recalculateStickyStyles(): void;
}
